<?php
/**
 * Plugin Name: Image Heading
 * Version:     1.0
 * Author:      Casey Yates
 * Description: Extends the core/heading block to allow for an image to be displayed in place of the heading text.
 */

define( 'CYIH_DIR' , plugin_dir_path( __FILE__ ) );
define( 'CYIH_URL' , plugin_dir_url( __FILE__ ) );

add_action( 'admin_enqueue_scripts', function() {
  wp_enqueue_script( 'cyih-editor-script', CYIH_URL . 'build/js/editor.js', array(), '1.0' );
});

add_action( 'wp_enqueue_scripts', function() {
  wp_enqueue_style( 'cyih-style', CYIH_URL . 'build/css/style.css', array(), '1.0' );
});